# The "ext" Package

These routines are meant to support loading of shared object extensions. NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

Library: karma
Link With: -lkarma

#### Functions

ext_call | Call an extension function.

#### Tables

ext_ENVIRONMENT | List of environment variables

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

unsigned int ext_call (CONST char *service, CONST char *function, unsigned int max_func, unsigned int *num_ok, flag allow_consumption, void *arg1, void *arg2, void *arg3, void *arg4, void *arg5, void *arg6)

Call an extension function.

Parameters:

- service : The service name for the extension.
- function : The function to call.
- max_func : The maximum number of functions to call. If this is 0 there is no limit.
- num_ok : The number of functions which returned TRUE is written here. This may be NULL.
- allow_consumption : If TRUE, the first function that returns TRUE will consume the event, preventing further functions from being called.
- arg1 : An optional argument.
- arg2 : An optional argument.
- arg3 : An optional argument.
- arg4 : An optional argument.
- arg5 : An optional argument.
- arg6 : An optional argument.

Returns: The number of functions called. The value 0 is returned if no functions were called.
Multithreading Level: Unsafe

## Tables

ext_ENVIRONMENT List of environment variables

Variable | Meaning
EXT_VERBOSE | Enable verbose output if defined

Back to Karma Home Page